#include <bits/stdc++.h>
using namespace std;

#define ios ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define ll long long
#define ull unsigned long long
#define inf INT_MAX
#define llinf LLONG_MAX
#define mt make_tuple
#define mp make_pair
#define parll pair<ll,ll>
#define parii pair<int,int>
#define frs first
#define sec second
#define neparno(x) (x&1)
#define parno(x) (!neparno(x))
#define lowbit(x) (x&-x)
#define nzd __gcd
#define nzs(e1,e2) (e1/nzd(e1,e2))*e2
#define all(V) V.begin(),V.end()
#define fill(V,v) fill(all(V),v)
#define l_b(BRL,brl) lower_bound( BRL.begin(), BRL.end(), brl )-BRL.begin()-1
#define u_b(BRU,bru) upper_bound( BRU.begin(), BRU.end(), bru )-BRU.begin()
#define mxn 200004

ll n,m,uk,rez;

int main()
{
    ios;

    cin >> n >> m;
    uk = n*m;
    if ( n < 3 || m < 3 )
    {
        cout << n*m;
        return 0;
    }
    n -= 2;
    m -= 2;
    if ( neparno(m) )
    {
        rez = (n/2)*(m/2);
        rez += (n-n/2)*(m/2+1);
    }
    else
    {
        rez = n*(m/2);
    }
    cout << uk-rez;

    return 0;
}